apiVersion: v1
kind: Service
metadata:
  name: jenkins-demo-service
spec:
  type: NodePort
  selector:
    app: jenkins-demo
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: jenkins-demo-deployment
  labels:
    app: jenkins-demo
spec:
  replicas: 3
  selector:
    matchLabels:
      app: jenkins-demo
  template:
    metadata:
      labels:
        app: jenkins-demo
    spec:
      containers:
        - name: jenkins-demo
          image: jenkins-demo:${BUILD_NUMBER}
          resources:
            limits:
              memory: "128Mi"
              cpu: "5m"
            requests:
              memory: "128Mi"
              cpu: "5m"
          ports:
            - containerPort: 80
